#include "vtkTrilateralFiltering.h"

#include "vtkPolyDataMapper.h"
#include "vtkRenderWindow.h"
#include "vtkCamera.h"
#include "vtkActor.h"
#include "vtkRenderer.h"
#include "vtkXMLPolyDataReader.h"
#include "vtkPolyDataNormals.h"
#include "vtkPolyData.h"
#include "vtkPointData.h"
#include "vtkProperty.h"
#include "vtkHedgeHog.h"
#include "vtkLookUpTable.h"

#include "vtkFloatArray.h"
//#include "vtkImageData.h"
#include "vtkUnsignedCharArray.h"
#include "vtkObjectFactory.h"
//#include "vtkPointData.h"
 
#include <math.h>


vtkCxxRevisionMacro(vtkTrilateralFiltering, "$Revision: 1.1 $");
vtkStandardNewMacro(vtkTrilateralFiltering);

// Construct object 

vtkTrilateralFiltering::vtkTrilateralFiltering()
{
  
}


vtkTrilateralFiltering::~vtkTrilateralFiltering()
{
 
}


void vtkTrilateralFiltering::ExecuteInformation()
{

	vtkPolyData *output = this->GetOutput();
	vtkPolyData *input = static_cast<vtkPolyData *>(this->GetInput());
}

void vtkTrilateralFiltering::ExecuteData(vtkDataObject *outp)
{

	vtkPolyData *output = this->AllocateOutputData(outp);
	vtkPolyData *input = static_cast<vtkPolyData *>(this->GetInput());

	vtkPolyDataNormals *dataset = vtkPolyDataNormals::New(); 
	dataset->SetInput(input->GetOutput()); 
	dataset->SetFeatureAngle(60.0); 
	dataset->FlipNormalsOff(); 
	dataset->Update(); 



}

void vtkTrilateralFiltering::PrintSelf(ostream& os, vtkIndent indent)
{
  this->Superclass::PrintSelf(os,indent);
}
